public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2006-10-04  8:42 pcaulfield
  0 siblings, 0 replies; 8+ messages in thread
From: pcaulfield @ 2006-10-04  8:42 UTC (permalink / raw)
  To: lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	pcaulfield@sourceware.org	2006-10-04 08:42:14

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Make clvmd restart init script wait until clvmd has died before starting it.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.449&r2=1.450
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.7&r2=1.8

--- LVM2/WHATS_NEW	2006/10/04 08:22:15	1.449
+++ LVM2/WHATS_NEW	2006/10/04 08:42:14	1.450
@@ -1,5 +1,6 @@
 Version 2.02.11 - 
 =====================================
+  Make clvmd restart init script wait until clvmd has died before starting it.
   Add -R to clvmd which tells running clvmds to reload their device cache.
   Add LV column to reports listing kernel modules needed for activation.
   Show available fields if report given invalid field. (e.g. lvs -o list)
--- LVM2/scripts/clvmd_init_rhel4	2006/07/19 18:55:58	1.7
+++ LVM2/scripts/clvmd_init_rhel4	2006/10/04 08:42:14	1.8
@@ -93,6 +93,24 @@
 	return $rtrn
 }
 
+wait_for_finish()
+{
+	count=0
+
+	while [ "$count" -le 10 -a -n "`pidof clvmd`" ]
+	do
+		sleep 1
+		count=$((count + 1))
+	done
+	
+	if [ `pidof clvmd` ]
+	then
+		return 1
+	else
+		return 0
+	fi
+}
+
 rtrn=1
 
 # See how we were called.
@@ -112,6 +130,7 @@
   restart)
 	if stop
 	then
+		wait_for_finish
 		start
 	fi 
 	rtrn=$?


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2006-11-30 10:16 pcaulfield
  0 siblings, 0 replies; 8+ messages in thread
From: pcaulfield @ 2006-11-30 10:16 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	pcaulfield@sourceware.org	2006-11-30 10:16:48

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Add timeout to RHEL4 clvmd init script.
	With the previous clvmd checkin this should address bz#187812

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.508&r2=1.509
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.10&r2=1.11

--- LVM2/WHATS_NEW	2006/11/30 09:44:06	1.508
+++ LVM2/WHATS_NEW	2006/11/30 10:16:47	1.509
@@ -1,5 +1,6 @@
 Version 2.02.16 -
 ====================================
+  Add startup timeout to RHEL4 clvmd startup script
   Add -T (startup timeout) switch to clvmd.
   Improve lvm_dump.sh robustness.
   Update lvm2create_initrd to support gentoo.
--- LVM2/scripts/clvmd_init_rhel4	2006/11/21 17:44:46	1.10
+++ LVM2/scripts/clvmd_init_rhel4	2006/11/30 10:16:48	1.11
@@ -15,6 +15,7 @@
 VGSCAN="/usr/sbin/vgscan"
 VGDISPLAY="/usr/sbin/vgdisplay"
 VGS="/usr/sbin/vgs"
+CLVMDOPTS="-T20"
 
 [ -f /etc/sysconfig/cluster ] && . /etc/sysconfig/cluster
 
@@ -27,7 +28,7 @@
 		if ! pidof clvmd > /dev/null 
 		then 
 			echo -n "Starting clvmd: "
-			daemon clvmd
+			daemon clvmd $CLVMDOPTS
 			rtrn=$?
 			echo
 			if [ $rtrn -ne 0 ]


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2006-11-21 17:44 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2006-11-21 17:44 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2006-11-21 17:44:46

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Fix clvmd_init_rhel4 line truncation (2.02.14).

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.504&r2=1.505
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.9&r2=1.10

--- LVM2/WHATS_NEW	2006/11/20 23:30:45	1.504
+++ LVM2/WHATS_NEW	2006/11/21 17:44:45	1.505
@@ -1,8 +1,9 @@
 Version 2.02.16 -
 ====================================
 
-Version 2.02.15 - 20th November 2006
+Version 2.02.15 - 21st November 2006
 ====================================
+  Fix clvmd_init_rhel4 line truncation (2.02.14).
   Install lvmdump by default.
   Fix check for snapshot module when activating snapshot.
   Fix pvremove error path for case when PV is in use.
--- LVM2/scripts/clvmd_init_rhel4	2006/11/01 18:25:26	1.9
+++ LVM2/scripts/clvmd_init_rhel4	2006/11/21 17:44:46	1.10
@@ -73,7 +73,7 @@
 			done
 		else
 			# Hack to only deactivate clustered volumes
-			clustervgs=`$VGDISPLAY 2> /dev/null | awk 'BEGIN {RS="VG Name"} {if (/Clustered/) print $1;}'
+			clustervgs=`$VGDISPLAY 2> /dev/null | awk 'BEGIN {RS="VG Name"} {if (/Clustered/) print $1;}'`
 			for vg in $clustervgs; do
 				if ! action "Deactivating VG $vg:" $VGCHANGE -anl $vg
 				then


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2006-11-01 18:25 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2006-11-01 18:25 UTC (permalink / raw)
  To: lvm-devel, lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2006-11-01 18:25:26

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Fix clustered VG detection and default runlevels in clvmd_init_rhel4.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.487&r2=1.488
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.8&r2=1.9

--- LVM2/WHATS_NEW	2006/10/30 16:10:55	1.487
+++ LVM2/WHATS_NEW	2006/11/01 18:25:26	1.488
@@ -1,5 +1,6 @@
 Version 2.02.14 - 
 ===================================
+  Fix clustered VG detection and default runlevels in clvmd_init_rhel4.
   Fix high-level free space check for partial allocations.
 
 Version 2.02.13 - 27th October 2006
--- LVM2/scripts/clvmd_init_rhel4	2006/10/04 08:42:14	1.8
+++ LVM2/scripts/clvmd_init_rhel4	2006/11/01 18:25:26	1.9
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# chkconfig: 345 24 76
+# chkconfig: - 24 76
 # description: Starts and stops clvmd
 #
 #	       
@@ -73,7 +73,7 @@
 			done
 		else
 			# Hack to only deactivate clustered volumes
-		        clustervgs=`$VGDISPLAY \`$VGS --noheadings -o name\` | awk 'BEGIN {RS="VG Name"} {if (/Clustered/) print $1;}'`
+			clustervgs=`$VGDISPLAY 2> /dev/null | awk 'BEGIN {RS="VG Name"} {if (/Clustered/) print $1;}'
 			for vg in $clustervgs; do
 				if ! action "Deactivating VG $vg:" $VGCHANGE -anl $vg
 				then


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2006-07-19 18:55 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2006-07-19 18:55 UTC (permalink / raw)
  To: lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2006-07-19 18:55:58

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Fix clvmd_init_rhel4 'status' exit code.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.411&r2=1.412
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.6&r2=1.7

--- LVM2/WHATS_NEW	2006/07/17 14:39:54	1.411
+++ LVM2/WHATS_NEW	2006/07/19 18:55:58	1.412
@@ -1,5 +1,6 @@
 Version 2.02.08 - 
 ================================
+  Fix clvmd_init_rhel4 'status' exit code.
 
 Version 2.02.07 - 17th July 2006
 ================================
--- LVM2/scripts/clvmd_init_rhel4	2005/05/11 15:21:44	1.6
+++ LVM2/scripts/clvmd_init_rhel4	2006/07/19 18:55:58	1.7
@@ -119,9 +119,9 @@
 
   status)
 	status clvmd
+	rtrn=$?
 	vols=$( $LVDISPLAY -C --nohead 2> /dev/null | awk '($3 ~ /....a./) {print $1}' )
 	echo active volumes: ${vols:-"(none)"}
-	rtrn=0
 	;;
 
   *)


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2005-01-20 22:16 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2005-01-20 22:16 UTC (permalink / raw)
  To: lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2005-01-20 22:16:55

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Update clvmd_init_rhel4: use lvm.static and don't load dlm.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.163&r2=1.164
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.2&r2=1.3


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2005-01-11 22:00 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2005-01-11 22:00 UTC (permalink / raw)
  To: lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2005-01-11 22:00:36

Modified files:
	.              : WHATS_NEW 
	scripts        : clvmd_init_rhel4 

Log message:
	Adjust RHEL4 clvmd init script priority.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.149&r2=1.150
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=1.1&r2=1.2


^ permalink raw reply	[flat|nested] 8+ messages in thread
* LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4
@ 2004-12-21 18:07 agk
  0 siblings, 0 replies; 8+ messages in thread
From: agk @ 2004-12-21 18:07 UTC (permalink / raw)
  To: lvm2-cvs

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	agk@sourceware.org	2004-12-21 18:07:15

Modified files:
	.              : WHATS_NEW 
Added files:
	scripts        : clvmd_init_rhel4 

Log message:
	Add RHEL4 clvmd init script.

Patches:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.135&r2=1.136
http://sources.redhat.com/cgi-bin/cvsweb.cgi/LVM2/scripts/clvmd_init_rhel4.diff?cvsroot=lvm2&r1=NONE&r2=1.1


^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2006-11-30 10:16 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2006-10-04  8:42 LVM2 ./WHATS_NEW scripts/clvmd_init_rhel4 pcaulfield
  -- strict thread matches above, loose matches on Subject: below --
2006-11-30 10:16 pcaulfield
2006-11-21 17:44 agk
2006-11-01 18:25 agk
2006-07-19 18:55 agk
2005-01-20 22:16 agk
2005-01-11 22:00 agk
2004-12-21 18:07 agk

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).